<?php


$pr_services_custom_css = '';

	/*---------------------------text-transform-------------------*/

	$pr_services_text_transform = get_theme_mod( 'menu_text_transform_pr_services','CAPITALISE');
	
    if($pr_services_text_transform == 'CAPITALISE'){

		$pr_services_custom_css .='#main-menu ul li a{';

			$pr_services_custom_css .='text-transform: capitalize;';

		$pr_services_custom_css .='}';

	}else if($pr_services_text_transform == 'UPPERCASE'){

		$pr_services_custom_css .='#main-menu ul li a{';

			$pr_services_custom_css .='text-transform: uppercase;';

		$pr_services_custom_css .='}';

	}else if($pr_services_text_transform == 'LOWERCASE'){

		$pr_services_custom_css .='#main-menu ul li a{';

			$pr_services_custom_css .='text-transform: lowercase;';

		$pr_services_custom_css .='}';
	}

		/*---------------------------menu-zoom-------------------*/

		$pr_services_menu_zoom = get_theme_mod( 'pr_services_menu_zoom','None');

    if($pr_services_menu_zoom == 'Zoomout'){

		$pr_services_custom_css .='#main-menu ul li a{';

			$pr_services_custom_css .='';

		$pr_services_custom_css .='}';

	}else if($pr_services_menu_zoom == 'Zoominn'){

		$pr_services_custom_css .='#main-menu ul li a:hover{';

			$pr_services_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color: var(--first-color);';

		$pr_services_custom_css .='}';
	}

	/*---------------------------Container Width-------------------*/

$pr_services_container_width = get_theme_mod('pr_services_container_width');

		$pr_services_custom_css .='body, .fixed-header{';

			$pr_services_custom_css .='width: '.esc_attr($pr_services_container_width).'%; margin: auto';

		$pr_services_custom_css .='}';

		/*---------------------------Copyright Text alignment-------------------*/

	$pr_services_copyright_text_alignment = get_theme_mod( 'pr_services_copyright_text_alignment','LEFT-ALIGN');

	if($pr_services_copyright_text_alignment == 'LEFT-ALIGN'){

		$pr_services_custom_css .='.copy-text p{';

			$pr_services_custom_css .='text-align:left;';

		$pr_services_custom_css .='}';


	}else if($pr_services_copyright_text_alignment == 'CENTER-ALIGN'){

		$pr_services_custom_css .='.copy-text p{';

			$pr_services_custom_css .='text-align:center;';

		$pr_services_custom_css .='}';


	}else if($pr_services_copyright_text_alignment == 'RIGHT-ALIGN'){

		$pr_services_custom_css .='.copy-text p{';

			$pr_services_custom_css .='text-align:right;';

		$pr_services_custom_css .='}';

	}

	/*---------------------------related Product Settings-------------------*/

$pr_services_related_product_setting = get_theme_mod('pr_services_related_product_setting',true);

	if($pr_services_related_product_setting == false){

		$pr_services_custom_css .='.related.products, .related h2{';

			$pr_services_custom_css .='display: none;';

		$pr_services_custom_css .='}';
	}

		/*---------------------------Scroll to Top Alignment Settings-------------------*/

		$pr_services_scroll_top_position = get_theme_mod( 'pr_services_scroll_top_position','Right');

		if($pr_services_scroll_top_position == 'Right'){
	
			$pr_services_custom_css .='.scroll-up{';
	
				$pr_services_custom_css .='right: 20px;';
	
			$pr_services_custom_css .='}';
	
		}else if($pr_services_scroll_top_position == 'Left'){
	
			$pr_services_custom_css .='.scroll-up{';
	
				$pr_services_custom_css .='left: 20px;';
	
			$pr_services_custom_css .='}';
	
		}else if($pr_services_scroll_top_position == 'Center'){
	
			$pr_services_custom_css .='.scroll-up{';
	
				$pr_services_custom_css .='right: 50%;left: 50%;';
	
			$pr_services_custom_css .='}';
		}
	
			/*---------------------------Pagination Settings-------------------*/
	
	
	$pr_services_pagination_setting = get_theme_mod('pr_services_pagination_setting',true);
	
		if($pr_services_pagination_setting == false){
	
			$pr_services_custom_css .='.nav-links{';
	
				$pr_services_custom_css .='display: none;';
	
			$pr_services_custom_css .='}';
		}

	/*---------------------------woocommerce pagination alignment settings-------------------*/

	$pr_services_woocommerce_pagination_position = get_theme_mod( 'pr_services_woocommerce_pagination_position','Center');

	if($pr_services_woocommerce_pagination_position == 'Left'){

		$pr_services_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$pr_services_custom_css .='text-align: left;';

		$pr_services_custom_css .='}';

	}else if($pr_services_woocommerce_pagination_position == 'Center'){

		$pr_services_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$pr_services_custom_css .='text-align: center;';

		$pr_services_custom_css .='}';

	}else if($pr_services_woocommerce_pagination_position == 'Right'){

		$pr_services_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$pr_services_custom_css .='text-align: right;';

		$pr_services_custom_css .='}';
	}

/*---------------------------Global Color-------------------*/


$pr_services_first_color = get_theme_mod('pr_services_first_color');
$pr_services_second_color = get_theme_mod('pr_services_second_color');


/*--- First Global Color ---*/

if ($pr_services_first_color) {
  $pr_services_custom_css .= ':root {';
  $pr_services_custom_css .= '--first-color: ' . esc_attr($pr_services_first_color) . ' !important;';
  $pr_services_custom_css .= '} ';
}

/*--- Second Global Color ---*/

if ($pr_services_second_color) {
  $pr_services_custom_css .= ':root {';
  $pr_services_custom_css .= '--second-color: ' . esc_attr($pr_services_second_color) . ' !important;';
  $pr_services_custom_css .= '} ';
}